Mailinglist Archive: opensuse-bugs (8956 mails)

< Previous Next >
[Bug 210224] Please split of -devel packages from gnome-doc-utils mono-nunit monodoc-core gtkhtml-sharp gnome-spell2
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Fri, 20 Oct 2006 23:30:25 -0600 (MDT)
  • Message-id: <20061021053025.8D072F22@xxxxxxxxxxxxxxxxxxxxxx>
https://bugzilla.novell.com/show_bug.cgi?id=210224





------- Comment #10 from wberrier@xxxxxxxxxx 2006-10-20 23:30 MST -------
mono-nunit: I have no idea why this depended on glib2-devel. This has been
removed in the 1.1.18.1 submission.
monodoc-core: Also wasn't sure why it depended on mono-devel. BuildRequires,
yes, Requires, no.
gtkhtml-sharp: as stated before, not sure why it's in this list.

There are many mono packages that depend on -devel packages. This problem
exists because the runtime looks for .so files, not the versioned .so file.

This can be overcome by creating dllmaps in .config files for all assemblies
that pinvoke resolving to a .so file at runtime, but it seems there should be a
better way.


--
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug, or are watching someone who is.

< Previous Next >
References